This issue tracker has been migrated to GitHub, and is currently read-only.
For more information, see the GitHub FAQs in the Python's Developer Guide.

classification
Title: Add support for the If-Modified-Since header
Type: Stage:
Components: Library (Lib) Versions: Python 2.5
process
Status: closed Resolution: rejected
Dependencies: Superseder:
Assigned To: Nosy List: jjinux, loewis
Priority: normal Keywords: patch

Created on 2006-03-04 02:40 by jjinux, last changed 2022-04-11 14:56 by admin. This issue is now closed.

Files
File name Uploaded Description Edit
SimpleHTTPServer.py.diff jjinux, 2006-03-04 02:40 Patch to add support for the If-Modified-Since header
Messages (3)
msg49634 - (view) Author: Shannon -jj Behrens (jjinux) Date: 2006-03-04 02:40
Added support for the If-Modified-Since header to
SimpleHTTPServer.  That way things like images don't
get downloaded again on every new page request.
msg49635 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2006-04-15 16:24
Logged In: YES 
user_id=21627

What is the reason for raising ValueError, instead of
returning True right away?

Please re-read section 14.25 of the RFC: a if-modified-since
date "from the future" must be considered invalid.

Also, there seems to be some interaction with the Range:
header. How is that dealt with?

Also, where is the length attribute to if-modified-since
specified?

Also, should there be changed to Doc/lib/libsimplehttp.tex?
msg49636 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2007-03-05 12:42
Closing this report because lack of response. If you are still interested in contributing it, please resubmit it (referring to this prior submission) and address my questions.
History
Date User Action Args
2022-04-11 14:56:15adminsetgithub: 42975
2006-03-04 02:40:43jjinuxcreate